/// <reference types="react" />
import { Line } from "./line-transitions";
export { SmoothLines };
declare type Props = {
    progress: number;
    containerWidth: number;
    containerHeight: number;
    lineHeight: number;
    lineWidth: number | [number, number];
    prevLines: Line[];
    nextLines: Line[];
    prevFocus: number[];
    nextFocus: number[];
    overscroll?: boolean;
    center?: boolean;
    minZoom?: number;
    maxZoom?: number;
};
declare function SmoothLines({ progress, containerHeight, containerWidth, lineHeight, lineWidth, prevLines, nextLines, prevFocus, nextFocus, center, minZoom, maxZoom, }: Props): JSX.Element;
